#
# spec file for package gtulpas (Version 1.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gnome-objc gtk gtk-devel gtkglarea guile imlib imlib-devel indent libjpeg libpng libtiff libungif mesa mesa-devel mesasoft orbit orbit-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-objc gpm gppshare grep groff gtk gtk-devel gtkglarea guile gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         gtulpas
Copyright:    GPL
Autoreqprov:  on
Version:      1.0.0
Release:      358
Summary:      Gnome Tulpas pool game
Source: gtulpas-%{version}.tar.gz
Patch:  gtulpas-%{version}.dif
Group:          X11/Games
Prefix:         /opt/gnome
BuildRoot:      /tmp/gtulpas-root
Docdir:         %{_docdir}/gnome

%description
Gnome Tulpas pool game

Authors:
--------
    Tomas Bily <tomby@suse.cz>
    Jan Bily <bilyj@seznam.cz>
    Radek Doulik <rodo@suse.cz>
    Daniel Skarda <0rfelyus@suse.cz>

SuSE series: gnm

%prep
%setup
%patch

%build
CFLAGS=${RPM_OPT_FLAGS} \
./configure --prefix=/opt/gnome %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{prefix}/lib,%{_docdir}/gtulpas}
make install prefix=$RPM_BUILD_ROOT/opt/gnome
cp -p NEWS README ChangeLog $RPM_BUILD_ROOT%{_docdir}/gtulpas/
ln -s %{prefix}/share/gnome/help/gtulpas/C $RPM_BUILD_ROOT%{_docdir}/gtulpas/userdoc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/gtulpas
%{prefix}/bin/gtulpas
%{prefix}/share/locale/cs/LC_MESSAGES/gtulpas.mo
%{prefix}/share/gnome/help/gtulpas
%{prefix}/share/gnome/apps/Games/gtulpas.desktop
%{prefix}/share/gtulpas
%{prefix}/share/pixmaps/gtulpas.png

%changelog -n gtulpas
* Wed Mar 21 2001 - ro@suse.de
- added esound-devel to neededforbuild
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Fri Jan 05 2001 - nadvornik@suse.cz
- fixed to compile
- fixed scheme files
* Fri Nov 10 2000 - ro@suse.de
- neededforbuild gtkglare gtkglarea
* Mon Nov 06 2000 - ro@suse.de
- gnobjc->gnobjc
* Mon Nov 06 2000 - ro@suse.de
- no gnome-objc yet
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Jun 26 2000 - kasal@suse.cz
- gtulpas shouldn't own /usr/share/packages/gnome
* Wed Jun 07 2000 - ro@suse.de
- added mesadev to neededforbuild
* Tue Feb 29 2000 - kasal@suse.de
- updated tar.gz, minor changes in specfile
* Tue Feb 29 2000 - kasal@suse.de
- Oops, the docs installation in the specfile was completely messed up.
* Tue Feb 22 2000 - kasal@suse.cz
- initial release
